/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.digital.signature.model;

import aQute.bnd.annotation.ProviderType;

import java.util.Collection;

/**
 * @author Michael C. Han
 */
@ProviderType
public interface DSParticipant {

	public String getAccessCode();

	public String getClientUserKey();

	public Collection<String> getCustomFieldKeys();

	public DSEmailNotification getDSEmailNotification();

	public DSParticipantRole getDSParticipantRole();

	public String getEmailAddress();

	public String getName();

	public String getNote();

	public String getParticipantKey();

	public String getRoleName();

	public int getRoutingOrder();

	public <T> T translate(DSParticipantVisitor<T> dsParticipantVisitor);

}